> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mercoa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server.

# Get Validation Job

GET https://api.mercoa.com/payment-gateway/validate/{jobId}

Get the status of a payment gateway validation job

Reference: https://docs.mercoa.com/virtual-card-agent/validate/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `jobId` (string, required) — The ID of the payment gateway validation job

## Response

### 200

- `object`
  - `jobStatus`: `pending`
    - `createdAt` (datetime, required) — The timestamp when the job was created
    - `jobId` (string, required) — The job ID of the payment gateway validation job
    - `updatedAt` (datetime, required) — The timestamp when the job was last updated
  - `jobStatus`: `success`
    - `createdAt` (datetime, required) — The timestamp when the job was created
    - `jobId` (string, required) — The job ID of the payment gateway validation job
    - `updatedAt` (datetime, required) — The timestamp when the job was last updated
    - `card` (object, optional) — Data on the card payments that were extracted from the gateway
      - `eligibility` (enum, required) — Whether the payment gateway accepts card payments
        - Allowed values: `ACCEPTED`, `NOT_ACCEPTED`, `UNKNOWN`
      - `fee` (object, required) — The fee that was extracted from the gateway
        - `type`: `percentage`
          - `value` (double, required) — The fee percentage in bps. For example, if the fee is 2.5% and the payment amount is $100, set this to 250.
        - `type`: `flat`
          - `value` (double, required) — The fee amount in major units of the invoice currency. For example, if the fee is a flat $2.50, set this to 2.5.
        - `type`: `none`
    - `gatewayAmount` (double, optional) — The amount displayed on the payment gateway (may include fees)
    - `invoiceAmount` (double, optional) — The invoice amount detected from the invoice
    - `paymentGatewayUrl` (string, optional) — The payment gateway URL that was found in the document
    - `requiredData` (object, optional) — Information about what data is required to proceed with payment
      - `needsAccountNumber` (boolean, optional) — Whether the payment gateway requires an account number to proceed
      - `needsPostalCode` (boolean, optional) — Whether the payment gateway requires a postal code to proceed
      - `needsEmail` (boolean, optional) — Whether the payment gateway requires an email address to proceed
      - `needsAccountHolderFirstName` (boolean, optional) — Whether the payment gateway requires the account holder's first name to proceed
      - `needsAccountHolderLastName` (boolean, optional) — Whether the payment gateway requires the account holder's last name to proceed
      - `needsFullServiceAddress` (boolean, optional) — Whether the payment gateway requires a full service address to proceed
      - `needsPhoneNumber` (boolean, optional) — Whether the payment gateway requires a phone number to proceed
    - `vendorName` (string, optional) — The vendor name
  - `jobStatus`: `failed`
    - `createdAt` (datetime, required) — The timestamp when the job was created
    - `errorType` (enum, required) — The error that occurred during the payment gateway validation job
      - Allowed values: `NO_VALID_PAYMENT_GATEWAY_FOUND`, `PAYMENT_GATEWAY_UNSUPPORTED`, `CARD_DETAILS_INVALID`, `CARD_DECLINED`, `INVOICE_AMOUNT_MISMATCH`
    - `jobId` (string, required) — The job ID of the payment gateway validation job
    - `updatedAt` (datetime, required) — The timestamp when the job was last updated
    - `errorMessage` (string, optional) — The error message that occurred during the payment gateway validation job

## Errors

### 400 Bad Request

- `errorName` ("BadRequest", required)
- `content` (string, required)

### 401 Unauthorized

- `errorName` ("Unauthorized", required)
- `content` (string, required)

### 403 Forbidden

- `errorName` ("Forbidden", required)
- `content` (string, required)

### 404 Not Found

- `errorName` ("NotFound", required)
- `content` (string, required)

### 409 Conflict

- `errorName` ("Conflict", required)
- `content` (string, required)

### 500 Internal Server Error

- `errorName` ("InternalServerError", required)
- `content` (string, required)

### 501 Unimplemented

- `errorName` ("Unimplemented", required)
- `content` (string, required)

## Examples

**Response**

```json
{
  "jobStatus": "success",
  "createdAt": "2024-01-01T00:00:00Z",
  "jobId": "pgv_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
  "updatedAt": "2024-01-01T00:00:00Z",
  "card": {
    "eligibility": "ACCEPTED",
    "fee": {
      "type": "percentage",
      "value": 2.5
    }
  },
  "gatewayAmount": 155.5,
  "invoiceAmount": 150.75,
  "paymentGatewayUrl": "https://www.payment-gateway.com/invoice/pgv_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
  "vendorName": "Acme Corporation"
}
```

**SDK Code**

```python Default
import requests

url = "https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript Default
import { MercoaClient } from "@mercoa/javascript";

const client = new MercoaClient({ token: "YOUR_TOKEN" });
await client.paymentGateway.validate.get("job_1a92b5f7-f522-435e-a953-fd649363730a");

```

```go Default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Default
require 'uri'
require 'net/http'

url = URI("https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Default
using RestSharp;

var client = new RestClient("https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```